<?php

#.begin
#.mod[SleX.Core]
/**
 * Here declares basic interface of classes.
 */
interface xSingletonOrigin {
	public static function getInst();
}
abstract class xISingleton implements xSingletonOrigin {
	abstract protected function __construct();
}
abstract class xIExecutor {
	abstract public function main();
	abstract public function onError($result);
}
#.mod[/SleX.Core]
#.end